| Home | Libraries | People | FAQ | More

#### io_service::stopped

Determine whether the `io_service` object has been stopped.

    bool stopped() const;

This function is used to determine whether an `io_service` object has been stopped, either through an explicit call to `stop()`, or due to running out of work. When an `io_service` object is stopped, calls to `run()`, `run_one()`, `poll()` or `poll_one()` will return immediately without invoking any handlers.

###### Return Value

`true` if the `io_service` object is stopped, otherwise `false`.